[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

2.0b1 patch problem

I had several problems installing the 3 current patches:

- After installing the patches, loading anything (e.g. ift) which
  requires LISPEQU.LISP results in an error 'SYMBOL-VALUE - 
  $t_vector is referenced [(defconstant $v_link (- $t_vector))]
  *before* it is defined!
    I moved the reference after the define and things seem to
  work now.  Can someone comment on this- did I do the patches

- I didn't get any answer to a previous query: 
  in p1&2, source patches, Scroll-bar-dlg-item-patch.lisp
  contains a replacement for (view-draw-contents).
  Is Grow-icon-source-patch.lisp also a patch for Scroll-...
  (if not, what is it a patch for) ?
  If so, it also contains a replacement for (view-draw-contents).
  Which (view-draw-contents) is the correct version?

- Is it necessary to remove the .fasls & recompile after installing
  the patches (or only ff.fasl?).

thanks for any help
john lewis
NEC Research